=== dnsmasq-1.10/Makefile ===
OBJS = cache.o rfc1035.o dhcp.o util.o option.o forward.o network.o dnsmasq.o

all : dnsmasq

clean :
	rm -f *~ $(OBJS) dnsmasq

.c.o: dnsmasq.h
	$(CC) -Os -Wall -W -c $*.c 


dnsmasq : $(OBJS) dnsmasq.h config.h
	$(CC) -o $@  $(OBJS) $(LIBS)
