=== ash-0.4.8/debian/changelog ===
ash (0.3.7-14) unstable; urgency=low

  * Removed predependency from udeb (closes: #81995).
  * Added /bin/sh symlink to udeb (closes: #81967).

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Jan 2001 15:23:21 +1100

ash (0.3.7-13) unstable; urgency=low

  * Renamed the udeb to ash-udeb.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Dec 2000 19:32:34 +1100

ash (0.3.7-12) unstable; urgency=low

  * Added support for udebs (Randolph Chung, closes: #79237).

 -- Herbert Xu <herbert@debian.org>  Sat, 16 Dec 2000 13:53:28 +1100

ash (0.3.7-11) unstable; urgency=low

  * Preserve the previous exit status upon entering a function
    (closes: #78374).

 -- Herbert Xu <herbert@debian.org>  Sun,  3 Dec 2000 13:34:27 +1100

ash (0.3.7-10) unstable; urgency=low

  * Merged changes for GNU from Igor Khavkine.
  * Minimise the number of sigactions.

 -- Herbert Xu <herbert@debian.org>  Fri,  3 Nov 2000 20:31:52 +1100

ash (0.3.7-9) unstable; urgency=low

  * Predepend on the libraries.
  * Always save fd 2 when it is redirected (closes: #75302).

 -- Herbert Xu <herbert@debian.org>  Sun, 22 Oct 2000 08:40:40 +1100

ash (0.3.7-8) unstable; urgency=high

  * More redirection fixes (closes: #73613).

 -- Herbert Xu <herbert@debian.org>  Thu,  5 Oct 2000 18:22:17 +1100

ash (0.3.7-7) unstable; urgency=high

  * Added missing break in redirection code (closes: #72956).

 -- Herbert Xu <herbert@debian.org>  Tue,  3 Oct 2000 07:58:04 +1100

ash (0.3.7-6) unstable; urgency=low

  * command -[vV] no longer displays an error message on stdout.
  * Redirecting to /proc/self/fd/* now works (closes: #72852).

 -- Herbert Xu <herbert@debian.org>  Sun,  1 Oct 2000 12:56:39 +1100

ash (0.3.7-5) unstable; urgency=low

  * Implemented set -a.

 -- Herbert Xu <herbert@debian.org>  Sat, 30 Sep 2000 16:00:33 +1100

ash (0.3.7-4) unstable; urgency=low

  * Added build-time dependency on debhelper (closes: #69920).
  * Extended maximum length of arithmetic expansions to match 32-bit integers.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Sep 2000 14:28:16 +1100

ash (0.3.7-3) unstable; urgency=low

  * Switch to the old globbing code since glob(3) is hopelessly broken
    (closes: #69455).

 -- Herbert Xu <herbert@debian.org>  Mon, 21 Aug 2000 20:37:15 +1000

ash (0.3.7-2) unstable; urgency=low

  * Call glob(3) with GLOB_NOMAGIC (ouch).

 -- Herbert Xu <herbert@debian.org>  Sun,  6 Aug 2000 17:47:08 +1000

ash (0.3.7-1) unstable; urgency=low

  * NetBSD-current version as of 20000729.
  * Use fnmatch(3) and glob(3).
  * Fixed the use of backslashes in the pattern in parameter substitutions,
    hopefully for the last time.
  * Applied HETIO patch and built ash.medium (closes: #50788).  Will do ash.big
    when readline is fixed so that it doesn't leak anymore.

 -- Herbert Xu <herbert@debian.org>  Fri,  4 Aug 2000 21:36:44 +1000

ash (0.3.6-5) unstable; urgency=low

  * Fixed manpage entry for read with patch from Kevin Ryde (closes: #62500).
  * Fixed a file descriptor leak for pipelines.

 -- Herbert Xu <herbert@debian.org>  Wed, 19 Apr 2000 18:56:20 +1000

ash (0.3.6-4) unstable; urgency=low

  * Fixed the case of an empty command with redirections.

 -- Herbert Xu <herbert@debian.org>  Fri,  7 Apr 2000 12:07:18 +1000

ash (0.3.6-3) unstable; urgency=low

  * ! is now recognised correctly.
  * Ash is now more strict on the syntax, e.g., a lone ! is no longer accepted
    as an alternative to ! true.

 -- Herbert Xu <herbert@debian.org>  Fri,  7 Apr 2000 10:46:06 +1000

ash (0.3.6-2) unstable; urgency=low

  * Fixed a problem with fmtstr() which broke getopts.

 -- Herbert Xu <herbert@debian.org>  Sun,  2 Apr 2000 10:49:26 +1000

ash (0.3.6-1) unstable; urgency=low

  * NetBSD-current version as of 20000326.
  * Added a Build-Depends on groff (closes: #61041).
  * Implemented noclobber (closes: #59028).
  * Rewrote output.c to use stream IO.

 -- Herbert Xu <herbert@debian.org>  Sat,  1 Apr 2000 19:24:31 +1000

ash (0.3.5-10) frozen unstable; urgency=low

  * Don't stat mail boxes in non-interactive mode (closes: #59213).
  * Added an fflush(stdout) to the times builtin (closes: #59027).
  * Documented the times builtin.
  * Added source depends.

 -- Herbert Xu <herbert@debian.org>  Sat, 18 Mar 2000 18:58:44 +1100

ash (0.3.5-9) unstable; urgency=low

  * Double quotes inside paramater substitutions inside double quotes are now
    ignored as in bash (the originial behaviour was POSIX compliant too but
    IMHO this one makes a little bit more sense).
    This one broke mwm (but it was actually mwm's fault).
  * Corrected backslash/CTLESC treatment for patterns in parameter
    substitutions.

 -- Herbert Xu <herbert@debian.org>  Sat,  6 Nov 1999 18:13:19 +1100

ash (0.3.5-8) unstable; urgency=low

  * Replaced use of echo -n in manual page with escape codes.
  * Made FHS compliant (closes: #47978).
  * Restored echo's option processing ability.

 -- Herbert Xu <herbert@debian.org>  Fri, 22 Oct 1999 10:20:58 +1000

ash (0.3.5-7) unstable; urgency=low

  * echo no longer supports options.
  * Don't quote patterns inside parameter substitutions enclosed by double
    quotes (closes: #47842).

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Oct 1999 20:28:14 +1000

ash (0.3.5-6) unstable; urgency=low

  * Use getcwd() instead of /bin/pwd -- Zack Weinberg (closes: #46981).

 -- Herbert Xu <herbert@debian.org>  Sun, 10 Oct 1999 16:31:49 +1000

ash (0.3.5-5) unstable; urgency=low

  * Only test for -e on simple commands (fixes #44559).

 -- Herbert Xu <herbert@debian.org>  Wed,  8 Sep 1999 22:18:27 +1000

ash (0.3.5-4) unstable; urgency=low

  * Don't wait for stopped children if job control is disabled (fixes #42814).
  * Allow an option '(' in a case statement (fixes #42364).

 -- Herbert Xu <herbert@debian.org>  Thu, 12 Aug 1999 23:30:30 +1000

ash (0.3.5-3) unstable; urgency=low

  * OK, the fix to the esoteric problem in 0.3.5-1 actually breaks VSASSIGN
    and VSQUESTION, they should work properly now (fixes #41327).


