=== ash-0.4.8/debian/control ===
Source: ash
Section: shells
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Build-Depends: byacc, debhelper, flex, pmake, groff
Standards-Version: 3.2.1

Package: ash
Architecture: any
Pre-Depends: ${shlibs:Depends}
Description: NetBSD /bin/sh
 "ash" is a POSIX compliant shell that is much smaller than "bash".
 We take advantage of that by making it the shell on the installation
 root floppy, where space is at a premium.
 .
 It can be usefully installed as /bin/sh (because it executes scripts
 somewhat faster than "bash"), or as the default shell either of root
 or of a second user with a userid of 0 (because it depends on fewer
 libraries, and is therefore less likely to be affected by an upgrade
 problem or a disk failure).  It is also useful for checking that a
 script uses only POSIX syntax.
 .
 "bash" is a better shell for most users, since it has some nice
 features absent from "ash", and is a required part of the system.

Package: ash-medium
Architecture: any
Pre-Depends: ${shlibs:Depends}
Priority: extra
Description: NetBSD /bin/sh with HETIO
 This is a slightly bigger version of the standard ash package with a
 hack that provides primitive history support.  It may be useful on
 boot floppies where space is at a premium, yet users still need the
 ability to access previous commands in the same session.  If you're
 not a boot floppies maintainer, you should probably go for ash,
 ash.big (not yet available), or bash.
 .
 "ash" is a POSIX compliant shell that is much smaller than "bash".
 We take advantage of that by making it the shell on the installation
 root floppy, where space is at a premium.
 .
 It can be usefully installed as /bin/sh (because it executes scripts
 somewhat faster than "bash"), or as the default shell either of root
 or of a second user with a userid of 0 (because it depends on fewer
 libraries, and is therefore less likely to be affected by an upgrade
 problem or a disk failure).  It is also useful for checking that a
 script uses only POSIX syntax.
 .
 "bash" is a better shell for most users, since it has some nice
 features absent from "ash", and is a required part of the system.

Package: ash-udeb
Architecture: any
Section: debian-installer
Description: NetBSD /bin/sh for boot floppies
 "ash" is a POSIX compliant shell that is much smaller than "bash".
 We take advantage of that by making it the shell on the installation
 root floppy, where space is at a premium.
 .
 It can be usefully installed as /bin/sh (because it executes scripts
 somewhat faster than "bash"), or as the default shell either of root
 or of a second user with a userid of 0 (because it depends on fewer
 libraries, and is therefore less likely to be affected by an upgrade
 problem or a disk failure).  It is also useful for checking that a
 script uses only POSIX syntax.
 .
 "bash" is a better shell for most users, since it has some nice
 features absent from "ash", and is a required part of the system.
